> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert an application to run in Nitro Enclaves.

## OpenAPI

````json POST /v1/tools/converter/convert-app/nitro-enclaves
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/tools/converter/convert-app/nitro-enclaves": {
      "post": {
        "tags": [
          "Tools"
        ],
        "summary": "Convert an application to run in Nitro Enclaves.",
        "description": "",
        "operationId": "convertAppNitroEnclaves",
        "x-auth-resource": "Writer,Manager,ActiveAccount",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ConverterSvcNitroEnclavesConversionRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Registry and image name for the output container (same as outputImageName in the request)",
            "schema": {
              "$ref": "#/definitions/ConverterSvcNitroEnclavesConversionResponse"
            }
          }
        }
      }
    }
  }
}
````

